#!/bin/sh

printenv GNUPG_IMPORT | gpg --import --import-options import-show

for fingerprint in $(gpg --list-keys --with-colons --batch | grep '^fpr:' | cut -d ':' -f 10); do
    echo -e '5\ny\n' \
        | gpg --command-fd 0 --batch --edit-key $fingerprint trust 2>/dev/null
done

set -x

# -d: log level warning
# -T: inactivity timeout (before input at EOF?, default: none)
# -t: reply timeout (after input at EOF, default: 0.5s)
exec socat -d -T4 -t16 tcp-l:6156,fork exec:/invoke-gpgit.sh
